Error updating UWP Windows App

Help with the Windows installer (lastpass.exe)

Moderators: admin, anatoly_LP, chantieLP, robyn, JoeSiegrist

Error updating UWP Windows App

Postby favo » Tue Dec 10, 2019 8:18 pm

Code: Select All Code
PS T:\> & 'C:\Program Files (x86)\LastPass\AppxUpgrade.ps1' -PackagePath 'C:\Program Files (x86)\LastPass\lpwinmetro.appxbundle' -PackageName 'LastPass.LastPass' -ExpectedVersionFilePath 'C:\Program Files (x86)\LastPass\UwpVersion.txt'

Add-AppxPackage : Deployment failed with HRESULT: 0x80073CF3, Package failed updates, dependency or conflict
validation.
Windows cannot install package LastPass.LastPass_4.1.0.521_x64__sbg7naapqq8fj because this package depends on a
framework that could not be found. Provide the framework "Microsoft.NET.Native.Framework.2.1" published by
"CN=Microsoft Corporation, O=Microsoft Corporation, L=Redmond, S=Washington, C=US", with neutral or x64 processor
architecture and minimum version 2.1.26424.0, along with this package to install. The frameworks with name
"Microsoft.NET.Native.Framework.2.1" currently installed are: {}
NOTE: For additional information, look for [ActivityId] 117228a8-ae1b-0007-4122-74111baed501 in the Event Log or use
the command line Get-AppPackageLog -ActivityID 117228a8-ae1b-0007-4122-74111baed501
At C:\Program Files (x86)\LastPass\AppxUpgrade.ps1:11 char:3
+   Add-AppxPackage -Path $PackagePath | Out-File -FilePath $($env:TEMP ...
+   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
    + CategoryInfo          : WriteError: (C:\Program File...etro.appxbundle:String) [Add-AppxPackage], IOException
    + FullyQualifiedErrorId : DeploymentError,Microsoft.Windows.Appx.PackageManager.Commands.AddAppxPackageCommand


This seems to indicate that .NET Framework 2.1 (i.e., 3.5) is required. I am running on Windows 10 v1909 x64 with *only* .NET 4.8. I installed LastPass with Universal Installer 4.36.1 (x64).

However, I was able to install the Windows App version 4.2.0.0 from the Windows Store, and it runs correctly. The Universal Installer has an old version of the Windows App in the included appx file (lpwinmetro.appxbundle = version 4.1.0.521). The PowerShell shortcut that tries to update it also fails to detect that a newer version is install, uninstalls it, and tries to install the old version which fails. This results in the app not being installed. Can you please update the Universal Installer?

Furthermore, putting the PowerShell-based updater shorcuts in the Start Menu\Programs\StartUp folder is not a good way to do it. You should set these up as in Scheduled Tasks, just like the task that runs Updater.exe. Otherwise, the updater generates a visible window that flashes on screen for each update, due to a bug in PowerShell.exe -WindowStyle hidden (https://github.com/PowerShell/PowerShell/issues/3028).
favo
 
Posts: 16
Joined: Mon Oct 13, 2014 3:11 pm

Re: Error updating UWP Windows App

Postby bosspublic351 » Wed Dec 25, 2019 6:38 am

Try adding this parameter to the end of their command POWERSHELLVERSION=<the version of powershell you have installed>
bosspublic351
 
Posts: 60
Joined: Fri Apr 18, 2014 10:18 am

Re: Error updating UWP Windows App

Postby ITXpress » Wed Jan 22, 2020 6:18 pm

We can't install the UWP App either. The installer says sideloading is not enabled (it definitely is) and when we try to install the appxbunble, we get an error about an incorrect manifest.

Not super worried about is since the web interface seems more user friendly than the UWP app, but if that's the direct stuff is going, we want our users to be familiar with that option.

Has anyone gotten this thing installed machine wide for Windows 8.1/Server 2012 R2?
ITXpress
 
Posts: 1
Joined: Wed Jan 22, 2020 6:15 pm


Return to Windows Installer Questions

Who is online

Users browsing this forum: No registered users and 4 guests